Create a project deployment target
curl --request POST \
--url {schemes}://api.upsun.com/projects/{projectId}/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"enforced_mounts": {}
}
'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/deployments"
payload = {
"name": "<string>",
"enforced_mounts": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', enforced_mounts: {}})
};
fetch('{schemes}://api.upsun.com/projects/{projectId}/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"code": 123
}Deployment Target
Create a project deployment target
Set the deployment target information for a project.
POST
/
projects
/
{projectId}
/
deployments
Create a project deployment target
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
The type of the deployment target
Available options:
dedicated, enterprise, foundation, kubernetes The name of the deployment target
Mounts which are always injected into pushed (e.g. enforce /var/log to be a local mount)
Last modified on June 16, 2026
Was this page helpful?